%define theme oxygen

Name: icon-theme-%theme
Version: 4.3.4
Release: alt0.M51.1

Summary: A set of Icons for KDE
Group: Graphics
Url: http://www.oxygen-icons.org/
License: LGPL

BuildArch: noarch

Provides: kde4-%name = %version-%release
Conflicts: kde4libs < 4.2.60

Source: %theme-icons-%version.tar
Source10: exclude.txt

BuildRequires: cmake gcc-c++ kde-common-devel
BuildRequires: icon-naming-utils

%description
A set of Icons for KDE

%prep
%setup -qn %theme-icons-%version

%build
%K4build

%install
%K4install

#5707
pushd %buildroot/%_iconsdir/%theme
for sz in 16x16 22x22 32x32 48x48 64x64 128x128 256x256
do
    if [ -d $sz ]; then
	pushd $sz
	for ctx in `ls -1`; do
	    [ -d $ctx ] \
		&& %_libexecdir/icon-name-mapping -c $ctx
	done
	popd
    fi
done
popd

>exlude-list
while read ex
do
    [ -e %buildroot$ex ] \
	&& echo "%%exclude $ex" >> exlude-list
done < %SOURCE10


%files -f exlude-list
%doc AUTHORS COPYING CONTRIBUTING TODO*
#
%dir %_iconsdir/%theme
%_iconsdir/%theme/index.*
%_iconsdir/%theme/?x?
%_iconsdir/%theme/??x??
%_iconsdir/%theme/???x???

%changelog
* Tue Dec 15 2009 Sergey V Turchin <zerg@altlinux.org> 4.3.4-alt0.M51.1
- built for M51

* Wed Dec 02 2009 Sergey V Turchin <zerg@altlinux.org> 4.3.4-alt1
- new version

* Thu Nov 12 2009 Sergey V Turchin <zerg@altlinux.org> 4.3.3-alt2
- fix using icon-name-mapping
- don't require tango icons to build package

* Mon Nov 09 2009 Sergey V Turchin <zerg@altlinux.org> 4.3.3-alt0.M51.1
- built for M51

* Thu Nov 05 2009 Sergey V Turchin <zerg@altlinux.org> 4.3.3-alt1
- new version

* Mon Oct 12 2009 Sergey V Turchin <zerg@altlinux.org> 4.3.2-alt1
- new version

* Wed Sep 09 2009 Sergey V Turchin <zerg@altlinux.org> 4.3.1-alt1
- new version
- process icons trought icon-name-mapping

* Wed Aug 12 2009 Sergey V Turchin <zerg@altlinux.org> 4.3.0-alt3
- add symlinks for GTK icons

* Wed Aug 12 2009 Sergey V Turchin <zerg@altlinux.org> 4.3.0-alt2
- add symlinks for GNOME icons

* Wed Aug 05 2009 Sergey V Turchin <zerg@altlinux.org> 4.3.0-alt1
- new version

* Wed Jul 22 2009 Sergey V Turchin <zerg@altlinux.org> 4.2.98-alt1
- new version

* Thu Jul 16 2009 Sergey V Turchin <zerg@altlinux.org> 4.2.96-alt1
- initial spec

